Search found 159 matches

Go to advanced search

by ebrahim raeyat
Sat Aug 10, 2019 6:07 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 197
Views: 13338

Re: Automate Reinforcement GSoC proposal

Thanks @Suraj Dadral.

Do you plan for additional rebar in beams? I mean rebar that not continued throughout beam.

like this one:

https://github.com/chakkreetiya/FreeCAD-Rebars
by ebrahim raeyat
Sat Aug 10, 2019 4:54 am
Forum: Open discussion
Topic: microsoft buys github
Replies: 100
Views: 7865

Re: microsoft buys github

... Do we have anyone from the filtered out areas in the forum watching this thread? It would be nice if they could test access to the suggested locations to make sure they work. ... Pinging Iran. In iran this sit is filtered: https://radicle.xyz/ google.png also github!! github.png
by ebrahim raeyat
Thu Jul 11, 2019 11:36 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 197
Views: 13338

Re: Automate Reinforcement GSoC proposal

hardeeprai wrote:
Thu Jul 11, 2019 4:24 pm
Suraj Dadral wrote:
Thu Jul 11, 2019 9:21 am
I also discussed this with my civil engineer friends and according to them, diameter of all ties in column is equal in 99% cases.
Take it 100%
110 % !! because it's for shear resistance and must be equal i think.
by ebrahim raeyat
Tue Jun 25, 2019 7:20 pm
Forum: Python scripting and macros
Topic: app:: property link meaning?
Replies: 4
Views: 317

Re: app:: property link meaning?

This is related post:

https://forum.freecadweb.org/viewtopic.php?f=24&t=31813


punch.jpg
punch.jpg (24.73 KiB) Viewed 312 times
by ebrahim raeyat
Tue Jun 25, 2019 7:18 pm
Forum: Python scripting and macros
Topic: app:: property link meaning?
Replies: 4
Views: 317

Re: app:: property link meaning?

i can add those by this code, but this way when i want to use them, i must to obtain them by name from the ActiveDocument. i want to know is there an easier way to do this? faces = [] for f in intersection_faces: face = App.ActiveDocument.addObject("Part::Feature", "face") face.Shape = f faces.appen...
by ebrahim raeyat
Tue Jun 25, 2019 7:18 pm
Forum: Python scripting and macros
Topic: app:: property link meaning?
Replies: 4
Views: 317

app:: property link meaning?

I develop punch software and convert it to "punch" object. I want to add punch faces to punch object as a property, but i don't know what kind of property i must to use for it. my faces are type of " Part.Face " this is output error: AttributeError: Attribute (Name: facess) error: 'type in list must...
by ebrahim raeyat
Sun Jun 23, 2019 9:41 pm
Forum: Users Showcase
Topic: controling shear punching of Foundation
Replies: 31
Views: 4335

Re: controling shear punching of Foundation

yes, I wanted, but i think that it may be more understand to be continued. ok, i continue it from separate forum. thanks So, what do you think about linking to the discussion thread from in here. And every so often you can update this thread with new news? But the main discussion makes sense to hap...
by ebrahim raeyat
Sun Jun 23, 2019 12:47 pm
Forum: Users Showcase
Topic: controling shear punching of Foundation
Replies: 31
Views: 4335

Re: controling shear punching of Foundation

I suggest we keep the technical developing discussions confined to a separate thread as this is the Users Showcase subforum where people show their final products. Is that Ok with you @ebrahim raeyat ? yes, I wanted, but i think that it may be more understand to be continued. ok, i continue it from...
by ebrahim raeyat
Sun Jun 23, 2019 12:39 pm
Forum: Users Showcase
Topic: controling shear punching of Foundation
Replies: 31
Views: 4335

Re: controling shear punching of Foundation

i can add those by this code, but this way when i want to use them, i must to obtain them by name from the ActiveDocument. i want to know is there an easier way to do this? faces = [] for f in intersection_faces: face = App.ActiveDocument.addObject("Part::Feature", "face") face.Shape = f faces.appen...
by ebrahim raeyat
Sun Jun 23, 2019 12:34 pm
Forum: Users Showcase
Topic: controling shear punching of Foundation
Replies: 31
Views: 4335

Re: controling shear punching of Foundation

punch.jpg
punch.jpg (24.73 KiB) Viewed 603 times

Go to advanced search